Subject: RE: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: "Drew Adams" <[email-masked]>
Date: Fri, 24 Feb 2012 08:42:52 -0800

> >> I don't understand why you use expand-file-name here:
> >> file-truename does it for you anyway.
> >
> > That's true, but only for Emacs 24+.  Is there any chance that this
> > code will be used (say by Tramp) with Emacs < 24, where
> > `file-truename' does not expand a relative file name?
> 
> "This code" belongs to a function introduced with Emacs 24. 
> Tramp cannot use it for older/other Emacsen, because it does
> not exist there :-)
> 
> If Tramp *emulates* this code, it is responsible to do it correctly.

I see.  I guess by the last part you mean that if the next Tramp version (which
will presumably take advantage of this) were to be used with an older Emacs
version, then it would test `(fboundp 'files-equal-p)' and if nil do something
else (e.g. emulate it) to test equality.  Is that what you meant?